﻿// Springy Titles.as
//
// Simulates a sequence of letters on elastic springs.
//
// - Jim Bumgardner

// The #include file below provides the springy letter animation support
//
// It assumes there is a movie for export in your library called 'letter_mc' which
// is used to contruct the letters with.  It must contain a dynamic text field with an
// embedded font - copy my movieclip and change the font, if you wish.

#include "SpringyLetters.as"

gravK = -1;				// Desired Gravity - defaults to "up" creating a helium effect
stiffK = .5;			// Desired Stiffness - controls energy in springs - don't make this too big
frictionK = .1;			// Desired Friction - controls how quickly springs return to normal aka 'viscosity'

springTautness = 0.8;   // used for setting up initial length of springs between letters 
						// used to control 'drape' of letters at rest without affecting 
						// gravity or stiffness

// This sets up a string of colored letters
sLetters = new SpringyLetters(gravK,       // physics stuff, from above
							  stiffK, 
							  frictionK, 
							  springTautness,
							  "KrazyDad",   // the letters you want
							  0, 200,       // position of invisible anchor on left side
							  Stage.width,  // width of title from anchor to anchor
							  100);         // bottom layer-number to use


// The rest of this code is for the sliders and buttons (which are helpful for figuring
// out what gravity setting to use, etc.
//
// All this code is NOT NECESSARY if you just want to make a springy title.
//
#include "jbumUI.as"     
SW = Stage.width;
SH = Stage.height;
input_txt.onChanged = function() { sLetters.setupTitle(input_txt.text); };

btn_showguide.setupToggleButton('show guide', false, function(t) 
			{	_root["dot0"].renderDot = t;
				_root["dot"+(sLetters.nbrLetters-1)].renderDot = t;
				sLetters.ss.toggleShowGuide(t) 
			} 
		);
btn_scale.setupToggleButton('scale to fit', SpringyLetters.scaleToFit, function (s) { SpringyLetters.scaleToFit = s;} );
btn_rotate.setupToggleButton('rotate to fit', SpringyLetters.rotateToFit, function(s) { SpringyLetters.rotateToFit = s; } );
slider1_mc.setupSlider('gravity',-2,2, gravK,function(t) { sLetters.ss.setGravity(t); } );
slider2_mc.setupSlider('stiffness',0,1, stiffK,function (t) {sLetters.ss.setStiffness(t);});
slider3_mc.setupSlider('viscosity',0,.5, frictionK, function (t) { sLetters.ss.setFriction(t); } );
//
// END User Interface Stuff

